Loading...
Searching...
No Matches
splitlog2.h File Reference

Split a range in log2 aligned and size-aligned chunks. More...

`#include <l4/sys/linkage.h>`
`#include <l4/sys/err.h>`
`#include <l4/util/bitops.h>`
Include dependency graph for splitlog2.h:

Go to the source code of this file.

## Functions

L4_BEGIN_DECLS long | l4util_splitlog2_hdl (l4_addr_t start, l4_addr_t end, long(*handler)(l4_addr_t s, l4_addr_t e, int log2size))
| Split a range into log2 base and size aligned chunks.
l4_addr_t | l4util_splitlog2_size (l4_addr_t start, l4_addr_t end)
| Return log2 base and size aligned length of a range.

## Detailed Description

Split a range in log2 aligned and size-aligned chunks.

Definition in file splitlog2.h.